[Overview][Types][Classes][Index] | Reference for unit 'PostScriptPrinter' (#lcl)

# TPSPattern

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: postscriptprinter.pas line 59

`type TPSPattern = class(TObject)`
`public`
`constructor Create;` |  |
`destructor Destroy; override;` |  |
`procedure Changed;` |  |
`property BBox: TRect; [rw]` |  |
`property PaintType: TPSPaintType; [rw]` |  |
`property TilingType: TPSTileType; [rw]` |  |
`property XStep: Real; [rw]` |  |
`property YStep: Real; [rw]` |  |
`property Name: string; [rw]` |  |
`property Canvas: TPostScriptCanvas; [r]` |  |
`property GetPS: TStringList; [r]` |  |
`property OldName: string; [rw]` |  |
`property OnChange: TNotifyEvent; [rw]` |  |
`end;`

## Inheritance

`TPSPattern` |  |
`TObject`